5
3 2
NR
RN
NN
4 4
NRRN
RNNR
NNNN
RRRR
100 100
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
100 100
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN
NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN

50 100
RRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRR
NNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNN
RRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRR
NNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNN
RRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRR
NNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNN
RRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRR
NNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNN
RRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRR
NNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNN
RRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRR
NNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNN
RRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRR
NNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNN
RRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRR
NNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNN
RRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRR
NNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNN
RRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRR
NNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNN
RRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRR
NNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNN
RRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRR
NNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNN
RRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRR
NNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNN
RRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRR
NNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNN
RRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRR
NNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNN
RRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRR
NNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNN
RRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRR
NNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNN
RRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRR
NNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNN
RRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRR
NNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNN
RRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRR
NNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNN
RRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRR
NNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNN
RRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRR
NNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNN
RRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRR
NNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNN
RRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRR
NNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNN
RRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRR
NNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNNNNNNRRRRRRRRRRNNNNNNNNNNRRRRRRRRRRNNNNN
